- entityDefinitions:
  - IDI_Task_ViewGetInstancesMethod: '{ba3820bb-9809-4632-a3c7-dda807e150c7}'
  - IDI_Task_EditGetInstancesMethod: '{93640349-15f8-4049-a6e8-b9dae6d2b403}'
  - IDE_GetInstancesMethod_View: '{af813ae0-1284-4a9c-b443-63aa7dda0984}'
  - IDE_GetInstancesMethod_Edit: '{38dab34c-2af6-448c-b6d3-f9054253763c}'
  - IDE_GetInstancesMethod_Definition: '{3f41fecd-fce6-45f0-8023-6204795a29fa}'
  - IDI_TaskCategory_GetInstancesMethod: '{a50854d9-1334-4853-a66f-190a6feb92a7}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewGetInstancesMethod;'
    name: 'View GI - Get Instances Method'
    initiatingElement: '&IDE_GetInstancesMethod_View;'
    taskCategory: '&IDI_TaskCategory_GetInstancesMethod;'

  - sequenceTask: '&IDI_Task_EditGetInstancesMethod;'
    name: 'Edit GI - Get Instances Method'
    initiatingElement: '&IDE_GetInstancesMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_GetInstancesMethod;'

  - element: '&IDE_GetInstancesMethod_View;'
    name: 'view gi'
    elementContents:
    - globalIdentifier: '{f258afe4-adc3-4aa0-8da3-6bd58b3db5e5}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{47e40e89-71fd-4e00-a956-fc468527364e}'
      defaultDataType: '&IDE_GetInstancesMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_GetInstancesMethod_Definition;'
    name: 'gi subedit'
    label: 'Return'
    elementContents:
    - globalIdentifier: '{2d9ef9c0-ac10-48a0-93b8-19f74b8d984f}'
      defaultDataType: '&IDR_Get_Instances_Method__returns__Work_Set;'
      label: 'Returns Work Set'
      order: a
    - globalIdentifier: '{a13f8fbd-4c1b-4d07-99db-1eb1a4fc6a77}'
      defaultDataType: '&IDR_Get_Instances_Method__selects_instances_of__Class;'
      label: 'Get Instances of Class'
      order: b

  - element: '&IDE_GetInstancesMethod_Edit;'
    name: 'edit gi'
    elementContents:
    - globalIdentifier: '{b7f82201-f4b1-48d0-9658-f061e90a9e90}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{490724d0-dc2c-4faa-8cd7-329f50d701f7}'
      defaultDataType: '&IDE_GetInstancesMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
